#*************************************************************************
#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
# 
# Copyright 2000, 2010 Oracle and/or its affiliates.
#
# OpenOffice.org - a multi-platform office productivity suite
#
# This file is part of OpenOffice.org.
#
# OpenOffice.org is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License version 3
# only, as published by the Free Software Foundation.
#
# OpenOffice.org is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License version 3 for more details
# (a copy is included in the LICENSE file that accompanied this code).
#
# You should have received a copy of the GNU Lesser General Public License
# version 3 along with OpenOffice.org.  If not, see
# <http://www.openoffice.org/license.html>
# for a copy of the LGPLv3 License.
#
#*************************************************************************

PRJ=.

PRJNAME=make
TARGET=make

# --- Settings -----------------------------------------------------

.INCLUDE :	settings.mk

# --- Files --------------------------------------------------------

.EXPORT : CC

VERSION=3.81

.IF "$(VERSION)"=="3.81"
TARFILE_NAME=make-3.81
TARFILE_MD5=354853e0b2da90c527e35aabb8d6f1e6
PATCH_FILES=make-3.81.patch

.ELIF "$(VERSION)"=="3.82"
TARFILE_NAME=make-3.82
TARFILE_MD5=1a11100f3c63fcf5753818e59d63088f
PATCH_FILES=make-3.82.patch
.ENDIF

CONFIGURE_DIR=
CONFIGURE_ACTION=.$/configure
CONFIGURE_FLAGS=

BUILD_ACTION=$(GNUMAKE)
BUILD_FLAGS=CFLAGS=-O
BUILD_DIR=$(CONFIGURE_DIR)

OUT2BIN= \
    make

# --- Targets ------------------------------------------------------

.INCLUDE :	set_ext.mk
.INCLUDE :	target.mk
.INCLUDE :	tg_ext.mk

ALLTAR : $(foreach,i,$(OUT2BIN) $(SOLARENV)/bin/$i)

$(SOLARENV)/bin/% : $(BIN)/%
	$(COPY) $< $(SOLARENV)/bin
